// © ANO PO "KSI", 2016

#include "CheckErrTable.h"

CheckErrTable::CheckErrTable(QWidget *parent)
	: QTableWidget(parent)
{
	setColumnCount(2);
	setHorizontalHeaderLabels(QStringList() << tr("File") << tr("Error"));
	setShowGrid(false);
	
}

CheckErrTable::~CheckErrTable()
{

}

void CheckErrTable::setCompareErrList(const CompareErrList& errList)
{
	clearContents();
	setRowCount(errList.size());

	m_textReport.clear();

	int r = 0;
	for (const auto& p : errList) {
		QFileInfo fi(p->filename());
		QTableWidgetItem* fnameItem = new QTableWidgetItem(p->filename());
		fnameItem->setFlags(fnameItem->flags() ^ Qt::ItemIsEditable);
		QTableWidgetItem* errDescrItem = new QTableWidgetItem(p->text());
		errDescrItem->setFlags(errDescrItem->flags() ^ Qt::ItemIsEditable);
		setItem(r, 0, fnameItem);
		setItem(r, 1, errDescrItem);

		m_textReport += QString("%1\t%2\n").arg(p->filename()).arg(p->text());

		++r;		
	}

	resizeColumnsToContents();
}
