//  ANO PO "KSI", 2016

#include "ChooseDirWidget.h"

ChooseDirWidget::ChooseDirWidget(const QString& _title, QBoxLayout::Direction dir, QWidget* parent/*=0*/) : 
	QWidget(parent),
	m_onlyExists(true)
{
	m_dirMode = true;

	QBoxLayout* mainLayout = new QBoxLayout(dir);
	m_editDir = new QLineEdit();
	//setValue(QDir::currentPath());
	
	QPushButton* buttonChooseDir = new QPushButton(style()->standardIcon(QStyle::SP_FileDialogStart)/*QIcon(":/icons/fileopen.png")*/, QString());

	QHBoxLayout* layoutDirEdit = new QHBoxLayout();
	layoutDirEdit->addWidget(m_editDir);
	layoutDirEdit->addWidget(buttonChooseDir);

	mainLayout->addWidget(m_labelTitle = new QLabel());
	mainLayout->addLayout(layoutDirEdit);

	mainLayout->setContentsMargins(0,0,0,0);

	setLayout(mainLayout);

	connect(buttonChooseDir, SIGNAL(clicked()), this, SLOT(chooseDirClicked()));

	setTitle(_title);
}

void ChooseDirWidget::chooseDirClicked()
{
	QString s;
	if (dirMode())	{
		QString dlgTitle = tr("Choose directory");
		s = QFileDialog::getExistingDirectory(this, dlgTitle, m_editDir->text());
	}
	else	{
		QString dlgTitle = tr("Choose file");
		if (onlyExists()) {
			s = QFileDialog::getOpenFileName(this, dlgTitle, m_editDir->text(), extFilter(), selectedExtFilter());
		}
		else {
			s = QFileDialog::getSaveFileName(this, dlgTitle, m_editDir->text(), extFilter(), selectedExtFilter());
		}
	}
	if (s.length() > 0) {
		setValue(s);
	}
}

