//  ANO PO "KSI", 2016

#ifndef CHOOSEDIRWIDGET_H
#define CHOOSEDIRWIDGET_H

#include "qtcommon.h"

class ChooseDirWidget : public QWidget
{
	Q_OBJECT
private:
	QLineEdit* m_editDir;
	bool m_dirMode;
	bool m_onlyExists;
	QLabel* m_labelTitle;
	QString m_extFilter, m_selectedExtFilter;
public:
	ChooseDirWidget(const QString& _title = QString(), QBoxLayout::Direction dir = QBoxLayout::LeftToRight, QWidget* parent=0);
	~ChooseDirWidget() {  }
public:
	void setValue(const QString& s) { m_editDir->setText(QDir::toNativeSeparators(s)); }
	inline QString value() const { return m_editDir->text(); }
	inline void setDirMode(bool v) { m_dirMode = v; } 
	inline bool dirMode() const { return m_dirMode; }
	inline void setTitle(const QString& s) { m_labelTitle->setText(s); }
	inline void setOnlyExists(bool _onlyExists) { m_onlyExists = _onlyExists; }
	inline bool onlyExists() const { return m_onlyExists; }
	inline void setExtFilter(const QString& _extFilter, const QString& _selectedExtFilter) { m_extFilter = _extFilter; m_selectedExtFilter = _selectedExtFilter; }
	inline const QString& extFilter() const { return m_extFilter; }
	inline QString* selectedExtFilter() { return &m_selectedExtFilter; }
private slots:
	void chooseDirClicked();
};


#endif // CHOOSEDIRWIDGET_H
