//  ANO PO "KSI", 2016

#ifndef CREATEHASHDIALOG_H
#define CREATEHASHDIALOG_H

#include "qtcommon.h"
#include "HashTools.h"
#include "ISettings.h"

class CreateHashWindow : public QProgressDialog, public ICreateHashReport, public ISettings
{
	Q_OBJECT

	enum class Status {
		PROCESSING,
		FINISHED,
		INTERRUPTED,
		ERROR
	};

	Status m_status;
	int m_filesCount;
public:
	CreateHashWindow(QWidget *parent = nullptr);
	~CreateHashWindow();

private:
	Status status() const { return m_status; }
	void setStatus(Status _status) { m_status = _status; }

public:
	virtual void start(int totalFiles) override;
	virtual void complete() override;
	virtual void setCurrentFile(const QString& filename) override;
	virtual void setError(const QString& errDescr) override;
	virtual bool wasCancelled() const override;
public slots:
	void cancel();
public:
	bool successfullyompleted() const;
};

#endif // CREATEHASHDIALOG_H
