//  ANO PO "KSI", 2016

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "qtcommon.h"

#include "CreateDBWindow.h"
#include "CheckDBWindow.h"

#include "HashTools.h"

class MainWindow : public QDialog
{
	Q_OBJECT

	CreateDBWindow* m_pCreateDBWindow;
	CheckDBWindow* m_pCheckDBWindow;

	std::unique_ptr<HashTools> m_pHashTools;

	QSettings* m_pSettings;

public:
	MainWindow(QWidget *parent = nullptr);
	~MainWindow();
private:
	void saveSettings();
	void restoreSettings();

	bool createHashList(const QString& dirName, HashFileList* hfl);
private slots:
	void createDB();
	void checkDB();
	void showAbout();

};

#endif // MAINWINDOW_H
